Package Gnumed :: Package timelinelib :: Package db :: Package backends :: Module dir :: Class DirTimeline |
[frames] | no frames]

# Class DirTimeline

source code

             object --+
                      |
    observer.Observable --+
                          |
            memory.MemoryDB --+
                              |
                             DirTimeline

Instance Methods
__init__(self, path) x.__init__(...) initializes x; see x.__class__.__doc__ for signature | source code
is_read_only(self) Override MemoryDB's read-only attribute. | source code
Inherited from `memory.MemoryDB`: `delete_category`, `delete_event`, `disable_save`, `enable_save`, `find_event_with_id`, `get_all_events`, `get_categories`, `get_containers`, `get_events`, `get_first_event`, `get_last_event`, `get_time_type`, `load_view_properties`, `place_event_after_event`, `place_event_before_event`, `save_category`, `save_event`, `save_view_properties`, `search`, `supported_event_data` Inherited from `observer.Observable`: `register`, `unregister` Inherited from `object`: `__delattr__`, `__format__`, `__getattribute__`, `__hash__`, `__new__`, `__reduce__`, `__reduce_ex__`, `__repr__`, `__setattr__`, `__sizeof__`, `__str__`, `__subclasshook__`

Properties
Inherited from `object`: `__class__`

Method Details

### __init__(self, path) (Constructor) | source code
x.__init__(...) initializes x; see x.__class__.__doc__ for signature Overrides: object.__init__ (inherited documentation)

### is_read_only(self) | source code
Override MemoryDB's read-only attribute. Overrides: memory.MemoryDB.is_read_only